node('docker') {
    def app
    def timestamp = new Date().format('YYYYMMddhhmmss',TimeZone.getTimeZone('IST'))
    def buildnumber = env.BUILD_NUMBER
    def branchname = env.BRANCH_NAME
    def applnName = "Angular_Application"

    env.release_tag = "${buildnumber}.${branchname}.${timestamp}"

    stage('Clone repository') {
      

        checkout scm
    }

    stage('Build image') {
  
       app = docker.build("ashoktholam/angular")
    }

    stage('Test image') {
  

        app.inside {
            sh 'echo "Tests passed"'
        }
    }

    stage('Push image') {
        sh 'echo "release_tag is ${release_tag}"'
        docker.withRegistry('https://registry.hub.docker.com', 'dockerhub') {
            app.push("${env.release_tag}")
        }
    }
}
